/*--------------------------------------------------------------------------+
$Id: codetemplates.xml 1 2011-01-01 00:00:01Z hoelzl $
|                                                                          |
| Copyright 2015 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.tooling.base.ui.editpart;

import org.eclipse.draw2d.geometry.Point;
import org.eclipse.draw2d.geometry.Rectangle;

/**
 * Interface for allocation target elements.
 * TODO: make this interface a singleton
 * 
 * @author eder
 * @author $Author: hoelzl $
 * @version $Rev: 18709 $
 * @ConQAT.Rating RED Hash:
 */
public interface IAllocationPosition {

	/** Stores the bounds of the source of the allocation in the editor. */
	static Rectangle sourceAllocationBounds = new Rectangle();

	/** Stores the bounds of the target of the allocation in the editor. */
	static Rectangle targetAllocationBounds = new Rectangle();

	/** Stores the position of the top left most element of all source elements */
	static Point minSourcePos = new Point();

	/** Stores the position of the top left most element of all target elements */
	static Point minTargetPos = new Point();

}
